import junit.framework.TestCase;
import java.awt.Color;

public class Test_Roomate extends TestCase {

  public void test_Roommate() {
    Roommate rm = new Roommate(Color.BLUE);
    
    assertEquals("Eye color", Color.BLUE, rm.getEyeColor());
    assertEquals("Greeting, initial", "Zzzzzzz....", rm.getGreeting());
    assertEquals("Greeting, second time after initial.", "Go away!", rm.getGreeting());
    assertEquals("Greeting, third time after initial.", "Go away!", rm.getGreeting());    
    rm.study(1);
    assertEquals("Greeting, after 1 hour study", "Go away!", rm.getGreeting());    
    rm.study(40);
    assertEquals("Greeting, after 40 hours study", "Go away!", rm.getGreeting());    
    rm.eat();
    assertEquals("Greeting, after eat.", "What a great day!", rm.getGreeting());    
    assertEquals("Eye color", Color.BLUE, rm.getEyeColor());
    rm.eat();
    assertEquals("Greeting, after eat again.", "Huh? Where am I?", rm.getGreeting());    
    rm.eat();
    assertEquals("Greeting, after eat third time", "Zzzzzzz....", rm.getGreeting());    
    assertEquals("Greeting, again", "Go away!", rm.getGreeting());    
    rm.eat();
    assertEquals("Greeting, after eat.", "What a great day!", rm.getGreeting());    
    rm.study(3);
    assertEquals("Greeting, after 3 hours study.", "What a great day!", rm.getGreeting());    
    rm.study(4);
    assertEquals("Greeting, after 4 hours study.", "Huh? Where am I?", rm.getGreeting());    
    assertEquals("Eye color", Color.BLUE, rm.getEyeColor());
   
    
  }
  
}
